
package com.gekko_holding.webservice.v2_4;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

/**
 * <p>
 * Java class for availabilityResponse complex type.
 * 
 * <p>
 * The following schema fragment specifies the expected content contained within
 * this class.
 * 
 * <pre>
 * &lt;complexType name="availabilityResponse">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="event" type="{http://webservice.gekko-holding.com/v2_4}conferenceBean" minOccurs="0"/>
 *         &lt;element name="hotelResponse" type="{http://webservice.gekko-holding.com/v2_4}hotelResponse" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "availabilityResponse", propOrder = { 
		"event" ,
		"hotelResponse" })

@XmlRootElement(name ="AvailabilityResponse")
public class AvailabilityResponse {


	protected ConferenceBean event;
	
	protected List<HotelResponse> hotelResponse;

	/**
	 * Gets the value of the event property.
	 * 
	 * @return possible object is {@link ConferenceBean }
	 * 
	 */

	public ConferenceBean getEvent() {
		return event;
	}

	/**
	 * Sets the value of the event property.
	 * 
	 * @param value allowed object is {@link ConferenceBean }
	 * 
	 */

	public void setEvent(ConferenceBean value) {
		this.event = value;
	}

	/**
	 * Gets the value of the hotelResponse property.
	 * 
	 * <p>
	 * This accessor method returns a reference to the live list, not a snapshot.
	 * Therefore any modification you make to the returned list will be present
	 * inside the JAXB object. This is why there is not a <CODE>set</CODE> method
	 * for the hotelResponse property.
	 * 
	 * <p>
	 * For example, to add a new item, do as follows:
	 * 
	 * <pre>
	 * getHotelResponse().add(newItem);
	 * </pre>
	 * 
	 * 
	 * <p>
	 * Objects of the following type(s) are allowed in the list {@link HotelResponse
	 * }
	 * 
	 * 
	 */
	public List<HotelResponse> getHotelResponse() {
		if (hotelResponse == null) {
			hotelResponse = new ArrayList<HotelResponse>();
		}
		return this.hotelResponse;
	}

}
