
package com.gekko_holding.webservice.v2_4;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

import org.codehaus.jackson.map.ObjectMapper;


/**
 * <p>Java class for getHotelDetailsResponse complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="getHotelDetailsResponse">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="hotel" type="{http://webservice.gekko-holding.com/v2_4}hotelBean" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "getHotelDetailsResponse", propOrder = {
	    "hotel"
})
@XmlRootElement(name="GetHotelDetailsResponse")
public class GetHotelDetailsResponse {

    protected List<HotelBean> hotel;

    /**
     * Gets the value of the hotel property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the hotel property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getHotel().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link HotelBean }
     * 
     * 
     */
    public List<HotelBean> getHotel() {
        if (hotel == null) {
            hotel = new ArrayList<HotelBean>();
        }
        return this.hotel;
    }

    @Override
    public String toString(){
        ObjectMapper objectMapper = new ObjectMapper();
        String harJson = "";
       try {
           harJson =  objectMapper.writeValueAsString(this);
       }catch (Exception e){
           e.printStackTrace();
       }

       return harJson;
    }
}
