
package com.gekko_holding.webservice.v2_4;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for segmentRoomBean complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="segmentRoomBean">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="boardType" type="{http://webservice.gekko-holding.com/v2_4}board"/>
 *         &lt;element name="roomType" type="{http://webservice.gekko-holding.com/v2_4}roomType"/>
 *         &lt;element name="price" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="currency" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="travelers">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="pax" type="{http://webservice.gekko-holding.com/v2_4}pax" maxOccurs="unbounded"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *       &lt;attribute name="roomIndex" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "segmentRoomBean", propOrder = {
    "boardType",
    "roomType",
    "price",
    "currency",
    "travelers"
})
public class SegmentRoomBean {

    @XmlElement(required = true)
    protected Board boardType;
    @XmlElement(required = true)
    protected RoomType roomType;
    @XmlElement(required = true)
    protected String price;
    @XmlElementRef(name = "currency", type = JAXBElement.class)
    protected JAXBElement<String> currency;
    @XmlElement(required = true)
    protected SegmentRoomBean.Travelers travelers;
    @XmlAttribute(name = "roomIndex", required = true)
    protected int roomIndex;

    /**
     * Gets the value of the boardType property.
     * 
     * @return
     *     possible object is
     *     {@link Board }
     *     
     */
    public Board getBoardType() {
        return boardType;
    }

    /**
     * Sets the value of the boardType property.
     * 
     * @param value
     *     allowed object is
     *     {@link Board }
     *     
     */
    public void setBoardType(Board value) {
        this.boardType = value;
    }

    /**
     * Gets the value of the roomType property.
     * 
     * @return
     *     possible object is
     *     {@link RoomType }
     *     
     */
    public RoomType getRoomType() {
        return roomType;
    }

    /**
     * Sets the value of the roomType property.
     * 
     * @param value
     *     allowed object is
     *     {@link RoomType }
     *     
     */
    public void setRoomType(RoomType value) {
        this.roomType = value;
    }

    /**
     * Gets the value of the price property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPrice() {
        return price;
    }

    /**
     * Sets the value of the price property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPrice(String value) {
        this.price = value;
    }

    /**
     * Gets the value of the currency property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getCurrency() {
        return currency;
    }

    /**
     * Sets the value of the currency property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setCurrency(JAXBElement<String> value) {
        this.currency = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the travelers property.
     * 
     * @return
     *     possible object is
     *     {@link SegmentRoomBean.Travelers }
     *     
     */
    public SegmentRoomBean.Travelers getTravelers() {
        return travelers;
    }

    /**
     * Sets the value of the travelers property.
     * 
     * @param value
     *     allowed object is
     *     {@link SegmentRoomBean.Travelers }
     *     
     */
    public void setTravelers(SegmentRoomBean.Travelers value) {
        this.travelers = value;
    }

    /**
     * Gets the value of the roomIndex property.
     * 
     */
    public int getRoomIndex() {
        return roomIndex;
    }

    /**
     * Sets the value of the roomIndex property.
     * 
     */
    public void setRoomIndex(int value) {
        this.roomIndex = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="pax" type="{http://webservice.gekko-holding.com/v2_4}pax" maxOccurs="unbounded"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "pax"
    })
    public static class Travelers {

        @XmlElement(required = true)
        protected List<Pax> pax;

        /**
         * Gets the value of the pax property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the pax property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getPax().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link Pax }
         * 
         * 
         */
        public List<Pax> getPax() {
            if (pax == null) {
                pax = new ArrayList<Pax>();
            }
            return this.pax;
        }

    }

}
