
package com.gekko_holding.webservice.v2_4;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for destinationCriteria complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="destinationCriteria">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;choice>
 *         &lt;element ref="{http://webservice.gekko-holding.com/v2_4}city"/>
 *         &lt;element ref="{http://webservice.gekko-holding.com/v2_4}poi"/>
 *         &lt;element ref="{http://webservice.gekko-holding.com/v2_4}geoCode"/>
 *         &lt;element ref="{http://webservice.gekko-holding.com/v2_4}hotel"/>
 *         &lt;element ref="{http://webservice.gekko-holding.com/v2_4}hotels"/>
 *       &lt;/choice>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "destinationCriteria", propOrder = {
    "city",
    "poi",
    "geoCode",
    "hotel",
    "hotels"
})
public class DestinationCriteria {

    @XmlElement(namespace = "http://webservice.gekko-holding.com/v2_4")
    protected CityDestination city;
    @XmlElement(namespace = "http://webservice.gekko-holding.com/v2_4")
    protected PoiDestination poi;
    @XmlElement(namespace = "http://webservice.gekko-holding.com/v2_4")
    protected GeoCodeDestination geoCode;
    @XmlElement(namespace = "http://webservice.gekko-holding.com/v2_4")
    protected HotelCodeDestination hotel;
    @XmlElement(namespace = "http://webservice.gekko-holding.com/v2_4")
    protected HotelCodeListDestination hotels;

    /**
     * Gets the value of the city property.
     * 
     * @return
     *     possible object is
     *     {@link CityDestination }
     *     
     */
    public CityDestination getCity() {
        return city;
    }

    /**
     * Sets the value of the city property.
     * 
     * @param value
     *     allowed object is
     *     {@link CityDestination }
     *     
     */
    public void setCity(CityDestination value) {
        this.city = value;
    }

    /**
     * Gets the value of the poi property.
     * 
     * @return
     *     possible object is
     *     {@link PoiDestination }
     *     
     */
    public PoiDestination getPoi() {
        return poi;
    }

    /**
     * Sets the value of the poi property.
     * 
     * @param value
     *     allowed object is
     *     {@link PoiDestination }
     *     
     */
    public void setPoi(PoiDestination value) {
        this.poi = value;
    }

    /**
     * Gets the value of the geoCode property.
     * 
     * @return
     *     possible object is
     *     {@link GeoCodeDestination }
     *     
     */
    public GeoCodeDestination getGeoCode() {
        return geoCode;
    }

    /**
     * Sets the value of the geoCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link GeoCodeDestination }
     *     
     */
    public void setGeoCode(GeoCodeDestination value) {
        this.geoCode = value;
    }

    /**
     * Gets the value of the hotel property.
     * 
     * @return
     *     possible object is
     *     {@link HotelCodeDestination }
     *     
     */
    public HotelCodeDestination getHotel() {
        return hotel;
    }

    /**
     * Sets the value of the hotel property.
     * 
     * @param value
     *     allowed object is
     *     {@link HotelCodeDestination }
     *     
     */
    public void setHotel(HotelCodeDestination value) {
        this.hotel = value;
    }

    /**
     * Gets the value of the hotels property.
     * 
     * @return
     *     possible object is
     *     {@link HotelCodeListDestination }
     *     
     */
    public HotelCodeListDestination getHotels() {
        return hotels;
    }

    /**
     * Sets the value of the hotels property.
     * 
     * @param value
     *     allowed object is
     *     {@link HotelCodeListDestination }
     *     
     */
    public void setHotels(HotelCodeListDestination value) {
        this.hotels = value;
    }

}
