
package com.gekko_holding.webservice.v2_4;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for hotelBooking complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="hotelBooking">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="checkIn" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="checkOut" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="bookedOffer" type="{http://webservice.gekko-holding.com/v2_4}bookedOffer"/>
 *       &lt;/sequence>
 *       &lt;attribute name="hotelCode" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "hotelBooking", propOrder = {
    "checkIn",
    "checkOut",
    "bookedOffer"
})
public class HotelBooking {

    @XmlElement(required = true)
    protected String checkIn;
    @XmlElement(required = true)
    protected String checkOut;
    @XmlElement(required = true)
    protected BookedOffer bookedOffer;
    @XmlAttribute(name = "hotelCode", required = true)
    protected String hotelCode;

    /**
     * Gets the value of the checkIn property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCheckIn() {
        return checkIn;
    }

    /**
     * Sets the value of the checkIn property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCheckIn(String value) {
        this.checkIn = value;
    }

    /**
     * Gets the value of the checkOut property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCheckOut() {
        return checkOut;
    }

    /**
     * Sets the value of the checkOut property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCheckOut(String value) {
        this.checkOut = value;
    }

    /**
     * Gets the value of the bookedOffer property.
     * 
     * @return
     *     possible object is
     *     {@link BookedOffer }
     *     
     */
    public BookedOffer getBookedOffer() {
        return bookedOffer;
    }

    /**
     * Sets the value of the bookedOffer property.
     * 
     * @param value
     *     allowed object is
     *     {@link BookedOffer }
     *     
     */
    public void setBookedOffer(BookedOffer value) {
        this.bookedOffer = value;
    }

    /**
     * Gets the value of the hotelCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getHotelCode() {
        return hotelCode;
    }

    /**
     * Sets the value of the hotelCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setHotelCode(String value) {
        this.hotelCode = value;
    }

}
